Which Ubuntu version should i shoose to get all running?

I just tested 16.04 but run into the problem that i was not able to install the amd drivers and ended up with a black screen without the possibility to redo my changes.

Is there a Ubuntu version without the problem to need to use amdgpu-pro installation which failed?

Ubuntu 14.04 + AMDGPU-Pro - as if working

So you got all installed on 14.04 ? :slight_smile:

Ubuntu 14.04 can use fglrx for R9 cards

or AMDGPU-Pro for RX & some r9 models

Ubuntu 16.04 AMDGPU-Pro only for RX and some r9's

1 Like

So i have 4 x R9 280x Cards.

So i should use 14.04? How can i install fglrx on a save way without killing my system again? :slight_smile:

Yes, 280x isn't listed as being supported by AMDGPU-Pro

see http://support.amd.com/en-us/kb-articles/Pages/AMD-Radeon-GPU-PRO-Linux-Beta-Driver%E2%80%93Release-Notes.aspx

fglrx is installed via command line or software and updates

Hi,

Trying to install AMDGPU-PRO on Ubuntu 14.04 server. My cards are RX 470

I get an error from the AMDGPU install:

The following packages have unmet dependencies:
amdgpu-pro : Depends: libvdpau-amdgpu-pro but it is not going to be installed
amdgpu-pro-lib32 : Depends: libvdpau-amdgpu-pro:i386 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Has anybody else come across this?

AMD officially supports RX series only on Ubuntu 16.04.

2 Likes

That's helpful.

However the latest ubuntu 16.04.1 OS (clean install) and the latest AMDGPU-PRO drivers, I get a kernel panic every single time.

For any of you who are having problems installing AMDgpu-pro drivers, use the following tutorial:

I used these drivers:
http://support.amd.com/en-us/kb-articles/Pages/AMD-Radeon-GPU-PRO-Linux-Beta-Driver%E2%80%93Release-Notes.aspx
(https://www2.ati.com/drivers/linux/ubuntu/amdgpu-pro-16.40-348864.tar.xz )

with ubuntu-16.04.2-server-amd64
https://www.ubuntu.com/download/alternative-downloads

Works flawless with optiminer 1.7.0 and AMD R9 390 memshift.
Do not update Ubuntu!

I use Ubuntu Server 16.04 and nvidia-375 driver version for NVIDIA Cards

//SETUP NVIDIA CUDA DRIVERS
sudo add-apt-repository ppa:graphics-drivers/ppa
sudo apt update
sudo apt install nvidia-375
sudo ln -s /usr/bin/nvidia-smi /usr/bin/nv